"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepServiceWorker = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const logger_1 = require("@jfrog-pipelines/logger");
const configuration_1 = require("@jfrog-pipelines/configuration");
class StepServiceWorker {
    constructor(details, store) {
        this.details = details;
        this.store = store;
        this.logger = logger_1.LoggerFactory.getLogger('StepServiceWorker');
        this.details = details;
        this.store = store;
    }
    async process(message) {
        this.logger.info(JSON.stringify(message));
        this.logger.info(JSON.stringify(this.store.get(microservice_1.SYSTEM_SERVICE_INSTANCE_INITIALIZER)));
        this.logger.info(`Hello world ${this.details.friendlyName}`, configuration_1.ConfigFactory.config.isSaaS);
        await Promise.resolve();
    }
}
exports.StepServiceWorker = StepServiceWorker;
//# sourceMappingURL=worker.js.map